Issue 30596

Summary: Effects on master pages don't display during slideshow
Product: Impress Reporter: hwtan <hwtan3>
Component: codeAssignee: AOO issues mailing list <issues>
Status: REOPENED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 1.1.1Keywords: oooqa
Target Milestone: ---   
Hardware: PC   
OS: Windows 98   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on: 37786    
Issue Blocks:    
Attachments:
Description Flags
a sample of the bug described none

Description hwtan 2004-06-23 05:40:45 UTC
If I have a text box set in the master slide, with animation, example 'scroll
through', when I start the slide show, the screen is corrupted (it affects
screen with background) when the second bullet starts to 'fly in.' I have a
sample file which I do not know how to send to you.
Comment 1 hwtan 2004-06-23 05:42:15 UTC
Created attachment 16091 [details]
a sample of the bug described
Comment 2 lc3 2004-06-23 20:26:34 UTC
*** Issue 30595 has been marked as a duplicate of this issue. ***
Comment 3 lc3 2004-06-23 20:29:29 UTC
Duplicated on Win XP Pro 2002 SP1, OOo 1.1.2
Comfirming.
Comment 4 lc3 2004-06-23 20:39:25 UTC
It also happens with other types of transition aswell. not just fly in.

Also, you have non-roman text in your scrolling example, which i removed to see
if that was affecting it but it still has the same problem.
Comment 5 hwtan 2004-06-24 03:48:02 UTC
It seems to happen to 'blink' (animated text) as well. It also happens when the
text block is in a particular slide (ie. not necessary in the master slide).

Can someone please verify if it only happen when there is a background?
Comment 6 wolframgarten 2004-06-28 09:13:14 UTC
Reassigned to Christian.
Comment 7 lc3 2004-06-28 14:25:46 UTC
hwtan, what do you mean by when there is a background, are you refering to the
blue background on the master?

If so, I tried removing it and the issue still occours on OOo 1.1.2 and OOo 680.
Comment 8 hwtan 2004-06-29 02:21:31 UTC
Initially I meant a bitmap background that is added onto the master. However,
you probably is right that the bug does occur in any coloured background.
Comment 9 christian.guenther 2005-01-04 12:22:18 UTC
I can reproduce the bug in the mentioned version.
In the latest version texteffects on the masterpage doesn't work.
Please have a look.
Comment 10 christian.guenther 2005-01-04 12:23:01 UTC
change the milestone
Comment 11 thb 2005-01-04 16:22:12 UTC
The  bug itself should be fixed for the latest versions. For the problem that
drawing layer animations don't display, see #37786#. Remains the problem that
seemingly, no effect at all is displayed, when the shape resides on a master
page. I therefore changed the title accordingly.

->cl: one for you, I'd say.,
Comment 12 clippka 2005-01-06 11:55:23 UTC
Thorsten, I fixed the problem that the API of a Masterpage gives no access to
the animation nodes. With that fix you are able to assign effects to shapes on
the master. But even then there are still two problems

1. No effects from master pages are displayed during normal slideshow
2. Preview of effects on the master page does not work while in master page
mode. Thats cause you ask the slide for transition properties, which a master
page just does not have.

I added my fixes to CWS impress28. Since this CWS has to be finished in the next
days, you need to join the fixes in sd/source/ui/unoidl/unopage.?xx if you want
to use another CWS.
Comment 13 thb 2005-01-06 14:06:21 UTC
->dbo: please take over this one. The transition properties CL mentioned are
read in presentation.cxx:createSlideTransition(). I have no idea why the master
page shape effects don't display, maybe no matching shape is found for them?
Comment 14 ooo 2005-01-31 13:05:18 UTC
retargeted to OOo 2.0.1 after QA approval
Comment 15 Daniel Boelzle [:dbo] 2005-04-06 10:13:23 UTC
issue depends on the drawing layer animations issue 37786
Comment 16 sven.jacobi 2005-05-18 14:06:58 UTC
*** Issue 46326 has been marked as a duplicate of this issue. ***
Comment 17 thb 2005-05-24 10:37:43 UTC
*** Issue 26989 has been marked as a duplicate of this issue. ***
Comment 18 Daniel Boelzle [:dbo] 2005-05-25 08:27:55 UTC
Set to OOoLater due to resource constraints.
Comment 19 Daniel Boelzle [:dbo] 2005-11-14 16:37:23 UTC
fixed with issue 37786.
Comment 20 Daniel Boelzle [:dbo] 2005-11-14 16:38:09 UTC
@hwtan: please verify.


re-open issue and reassign to hwtan
Comment 21 Daniel Boelzle [:dbo] 2005-11-14 16:38:13 UTC
reassign to hwtan
Comment 22 Daniel Boelzle [:dbo] 2005-11-14 16:38:27 UTC
reset resolution to FIXED
Comment 23 hwtan 2005-11-21 06:53:30 UTC
I tested it on OOo2. It seems like whatever is set on the master page is still
not reflected in the slideshow. Since according to ka on 31 Jan, the targeted
milestone was set to OOo 2.0.1, I am unable to verify the fixed version.

Comment 24 Daniel Boelzle [:dbo] 2005-11-28 10:10:41 UTC
@hwtan: please verify in 2.0.1
Comment 25 Daniel Boelzle [:dbo] 2005-11-28 10:11:16 UTC
.

re-open issue and reassign to hwtan
Comment 26 Daniel Boelzle [:dbo] 2005-11-28 10:11:22 UTC
reassign to hwtan
Comment 27 Daniel Boelzle [:dbo] 2005-11-28 10:11:34 UTC
reset resolution to FIXED
Comment 28 hwtan 2005-11-30 01:53:44 UTC
Tested with 2.0.1. It seems the same on 2.0.1. Any setting of text effect on the
master page does not reflect on in the slide show.
Comment 29 hwtan 2005-12-07 01:59:35 UTC
I just tested 2.0.1 rc 2. All seems to be the same. Whatever is changed to the
text effect (under custom animation) in the master slide, did not reflect in the
normal, individual slide (using the layout-title, text).
Comment 30 Marcus 2017-05-20 11:08:24 UTC
Reset assigne to the default "issues@openoffice.apache.org".